BEGIN {
	binmode STDIN, ':encoding(cp932)';
	binmode STDOUT, ':encoding(cp932)';
	binmode STDERR, ':encoding(cp932)';

	use Data::Dumper;
	use FindBin;
	my $basedir = $FindBin::Bin;
	my $baselib = "$FindBin::Bin/../../lib";
	printf "\n** execpath = [ %s ]\n", $basedir;

	our $includelibs = [
		$baselib,
	];
	map { unshift( @INC, $_ ) } @{ $includelibs };
	# print "\n".Dumper( @INC )."\n";
	# インクルードバスを変更したら settings.json の perlnavigator.includePaths も変更する
};

#---------------------
package App;

use utf8;
use strict;
use warnings;

use BBS;
use base qw( BBS );
my $app = new App();

# logonハンドラ
sub logon {
	my $self = shift;
	printf "\n( %d ) 接続しました", $self->from();
	printf "\n接続ノード : [ %s ]\n", join( ',', $self->nodelist() );
}

# logoffハンドラ
sub logoff {
	my $self = shift;
	printf "\n( %d ) 切断しました", $self->from();
	printf "\n接続ノード : [ %s ]\n", join( ',', $self->nodelist() );
}

$app->start(8888);
